EDIT - bug #6324

fix dozer mapping after removal of synonym relations and after using TaxonNode
01/11/2017 12:12 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority09 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.20

Severity: normal Found in Version:

Description

the the dozer mapping file /cdmlib-remote/src/main/resources/eu/etaxonomy/cdm/remote/dto/tdwg/mappings-deep.xml a per field
mapping is defined for synonymRelations which is no longer valid after the removal of the synonym relations.

<field>
<a>synonymRelations</a>
<b>hasRelationship</b>
<a-hint>eu.etaxonomy.cdm.model.taxon.TaxonRelationship</a-hint>
<b-hint>eu.etaxonomy.cdm.remote.dto.tdwg.voc.Relationship</b-hint>
</field>

up to date dozer documentation if found at https://dozermapper.qgithub.io/gitbook/

Related issues:

Related to EDIT - feature request #5974: Remove synonym relationships Closed
Related to EDIT - bug #5095: Fix failing dozer related tests Closed
Related to EDIT - task #9454: [DISCUSS] Decide on using dozer or similar fram... New

Has duplicate EDIT - bug #6948: OAIPMH service broken by NPE with verb=Listld... Closed

Associated revisions

Revision 2440f0fe - 01/11/2017 12:44 PM - Andreas Kohlbecker
ref #6324 adding FIXME comment

Revision 224d902d - 09/15/2017 10:58 AM - Andreas Kohlbecker

fix #6948 ref #6324 commenting and removing broken dozer mapping for synonymRelations

Revision 8ed8ec11 - 02/05/2021 01:22 PM - Andreas Miiller
ref #6324 add toString() methods to TDWG classes for debugging

Revision 278036 - 02/05/2021 01:26 PM - Andreas Miiller
fix #6324 fix synonym dozer mapping for TDWG Ontology

Revision 0f6bc0c7 - 02/05/2021 04:54 PM - Andreas Miiller
fix #6324 fix taxon node dozer mapping for TDWG Ontology

Revision e141acff - 02/05/2021 05:13 PM - Andreas Miiller
fix #6324 fix taxon node dozer mapping for TDWG Ontology (cont.) - add missing mappings-deep.xml changes

History

#1-01/11/2017 12:13 PM - Andreas Kohlbecker

- Related to feature request #5974: Remove synonym relationships added

#2 - 01/11/2017 12:41 PM - Andreas Kohlbecker

- Subject changed from fix docker mapping after removal of synonym relations to fix dozer mapping after removal of synonym relations

#3 - 09/15/2017 10:31 AM - Andreas Kohlbecker
- Has duplicate bug #6948: OAIPMH service broken by NPE with verb=Listldentifiers & set=taxon added

#4 - 09/15/2017 10:32 AM - Andreas Kohlbecker
- Status changed from New to In Progress
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 4.10

#5 - 09/15/2017 10:54 AM - Andreas Kohlbecker

- Description updated

#6 - 09/15/2017 11:01 AM - Andreas Kohlbecker

The issue #6948 is fixed now, but the broken mapping needs to be reestablished. So this issue needs to be kept open until this is done.

#7 - 09/15/2017 11:04 AM - Andreas Kohlbecker
- Tags set to oaipmh
- Priority changed from Highest to Priority12

- Target version changed from Release 4.10 to Reviewed Next Major Release

#8 - 09/22/2017 03:45 PM - Andreas Kohlbecker

Even if duplicate issue is closed now this issue here can not yet be closed since its solution requires additional work.

#9 - 02/19/2019 03:33 PM - Andreas Miiller
- Priority changed from Priority12 to Priority09

#10 - 08/23/2020 11:48 PM - Andreas Miiller
- Related to bug #5095: Fix failing dozer related tests added

#11 - 02/05/2021 01:26 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|f278f0365262de31e73b9f4bf7e442e60e3a60db.

#12 - 02/05/2021 01:40 PM - Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.21

#13 - 02/05/2021 04:57 PM - Andreas Miiller

- Subject changed from fix dozer mapping after removal of synonym relations to fix dozer mapping after removal of synonym relations and after using
TaxonNode

The mapping was not only corrupt for synonyms but also for TaxonNodes as they were not mapped as taxon relations yet. There was no test finding
this, yet.

| added mapping also for TaxonNode (a bit preliminary as the TDWG Ontology is not really used much and | didn't want to spend too much time on it)
and changed the title of the ticket to include taxon nodes.

Please review.

#14 - 02/05/2021 05:25 PM - Andreas Miiller
- Related to task #9454: [DISCUSS] Decide on using dozer or similar frameworks for mapping DTOs added

#15 - 02/08/2021 10:14 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

| could not inspect all code changes in depth as this would require more time to dive into the whole topic of relation in the TDWG Ontology etc.
From the birs perspective this looks ok and can be release as is.

One minor note only: in cdmlib-remote/src/main/resources/eu/etaxonomy/cdm/remote/dto/tdwg/mappings-deep.xml there is a comment:
<!—— not fully correct to only use the first node, needs custom converter to implement correctly —-—>
the custom converter seems to be use already, though.

isn't this a ticket for 5.20.0 ?

#16 - 02/08/2021 11:48 AM - Andreas Miiller

- Assignee changed from Andreas Miller to Andreas Kohlbecker

No there is no custom converter in use yet for field taxonNodes. But ofcourse we use it elsewhere e.g. here

<field type="one-way" custom-converter-id="hibernateProxyDeepConverter" custom-converter-param="authors
hip">
| is not a big issue to create one. However, having >1 taxon node is extremely seldom in existing data. Also it is expected that we will have a model

change here in the nearer future so for me it was not worse to implement this (also because the TDWG ontology is not really in use anymore and
therefore this issue has no high priority)

#17 - 02/08/2021 11:48 AM - Andreas Muller

- Target version changed from Release 5.21 to Release 5.20
#18 - 02/09/2021 09:29 AM - Andreas Kohlbecker
Andreas Muller wrote:
No there is no custom converter in use yet for field taxonNodes. But ofcourse we use it elsewhere e.g. here

<field type="one-way" custom-converter—-id="hibernateProxyDeepConverter" custom-converter-param="aut
horship">

| is not a big issue to create one. However, having >1 taxon node is extremely seldom in existing data. Also it is expected that we will have a

model change here in the nearer future so for me it was not worse to implement this (also because the TDWG ontology is not really in use
anymore and therefore this issue has no high priority)

Agreed, ticket can be closed.

#19 - 02/09/2021 09:29 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

#20 - 02/09/2021 09:39 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

03/13/2024 3/3


http://www.tcpdf.org

